/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DLGLOGMESSAGES_H
#define DLGLOGMESSAGES_H

#include "dlglogmessagesbase.h"
#include "hobit.h"
#include <qcursor.h>
#include <qlabel.h>

class HoBIT;

class DlgLogMessages : public DlgLogMessagesBase
{
  Q_OBJECT

public:
  DlgLogMessages(HoBIT* hobit = 0, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
  ~DlgLogMessages();
  /*$PUBLIC_FUNCTIONS$*/

  void setCursor ( const QCursor & cursor);
  
  
public slots:
  /*$PUBLIC_SLOTS$*/

protected:
  /*$PROTECTED_FUNCTIONS$*/
  HoBIT* _hobit;

protected slots:
  /*$PROTECTED_SLOTS$*/
  virtual void          accept();

};

#endif

